#include<iostream.h>
#include<conio.h>
void main()
{
	int a[10][10],m,n,s=0,u,c,prime;
	clrscr();
	cout<<"\nEnter no of rows";
	cin>>m;
	cout<<"\nEnter no of columns";
	cin>>n;
	cout<<"\nEnter the matrix";
	for(u=0;u<m;++u)
	{
		for(c=0;c<n;++c)
			cin>>a[u][c];
	}
	for(u=0;u<m;++u)
	{
		for(c=0;c<n;++c)
			cout<<a[u][c]<<'\t';
			cout<<'\n';
	}
	for(u=0;u<m;++u)
		for(c=0;c<n;++c)
		{
			prime=1;
			if(a[u][c]==1) prime=0;
			else
			{
				for(int j=2;j<a[u][c]/2;++j)
				{
					if(a[u][c]%j==0)
					{
						prime=0;
						break;
					}
				}

			if(prime==1)
			s+=a[u][c];
			}
		}

	cout<<"\nThe sum of prime nos present in the matrix is :"<<s;
	getch();
}
